JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.comm.amiga
Class FaxPortHandle

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.sys.Importable
                  |
                  +--edu.utah.janosvm.kit.comm.amiga.FaxPortHandle

Direct Known Subclasses:
  FaxPort

public class FaxPortHandle
extends Importable
implements java.lang.Cloneable

A handle for sending faxes to other teams.

Field Summary
`protected edu.utah.janosvm.kit.comm.amiga.FaxPortBackEnd` `be` The reference to the back end object.

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Fields inherited from interface java.lang.Cloneable
`KAFFE_VERSION`

Constructor Summary
`FaxPortHandle()` Construct an empty FaxPortHandle.
`FaxPortHandle(TeamHandle team, java.lang.Object id)` Construct a FaxPortHandle handle that refers to a specific export in a team.

Method Summary
`protected void` `bindTo(Exportable ex)` Bind this Importable to the given Exportable.
`FaxPortHandle` `cloneHandle()`
`void` `putFacsimile(Facsimile fax)` Put a fax on the FaxPortBackEnd's queue.
`java.lang.String` `toString()`
`protected void` `unbindFrom()` Unbind this Importable from any objects its referencing.

Methods inherited from class edu.utah.janosvm.sys.Importable
`copy, finalize, revoke`

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, clone, prepend, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### be

    protected edu.utah.janosvm.kit.comm.amiga.FaxPortBackEnd be

  The reference to the back end object.

Constructor Detail

### FaxPortHandle

    public FaxPortHandle()

  Construct an empty FaxPortHandle.

### FaxPortHandle

    public FaxPortHandle(TeamHandle team,
                         java.lang.Object id)
                  throws DeadTeamException,
                         TeamEjectionException,
                         NoSuchExportException

  Construct a FaxPortHandle handle that refers to a specific export in a team.
  Parameters:
    `team` - The team to import the FaxPortBackEnd from.
    `id` - The identifier the FaxPortBackEnd is exported under.
  Throws:
    Throws - NoSuchExportException if the FaxPortBackEnd doesn't exist.

Method Detail

### bindTo

    protected void bindTo(Exportable ex)

  Description copied from class: Importable
  Bind this Importable to the given Exportable. The most common implementation of this method would be to cast the Exportable to the type that the Importable subclass handles and store it in the object as well as any other handy pointers/values.
  Overrides:
    bindTo in class Importable
  Tags copied from class: Importable
  Parameters:
    `ex` - The Exportable that is being imported.

### unbindFrom

    protected void unbindFrom()

  Description copied from class: Importable
  Unbind this Importable from any objects its referencing. The most common implementation of this method would be null out any object references in this object.
  Overrides:
    unbindFrom in class Importable

### putFacsimile

    public void putFacsimile(Facsimile fax)
                      throws DeadTeamException,
                             TeamEjectionException

  Put a fax on the FaxPortBackEnd's queue. This is done by visiting the team, cloning the Facsimile and then adding that to the queue.
  Parameters:
    `fax` - The facsimile to send to the other team.
  Throws:
    Throws - DeadTeamException if the visit fails.

### cloneHandle

    public final FaxPortHandle cloneHandle()

  Returns:
    A clone of the current handle.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class Importable

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002